include:
  - local: '/ExternalTools/Gitlab-CI/common.yml'


build_ubuntu_gcc_debug_several_shared_libraries:
  extends: .build_template_linux
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "debug"
      LIB_NATURE: "shared"
      OS: "ubuntu"
      IS_ONLY_ONE_LIB: "False"

check_ubuntu_gcc_debug_several_shared_libraries:
  extends: .check_compilation_warning_template
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "debug"
      LIB_NATURE: "shared"
      OS: "ubuntu"
      IS_ONLY_ONE_LIB: "False"


build_ubuntu_gcc_release_one_static_library:
  extends: .build_template_linux
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "release"
      LIB_NATURE: "static"
      OS: "ubuntu"
      IS_ONLY_ONE_LIB: "True"

check_ubuntu_gcc_release_one_static_library:
  extends: .check_compilation_warning_template
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "release"
      LIB_NATURE: "static"
      OS: "ubuntu"
      IS_ONLY_ONE_LIB: "True"


build_fedora_gcc_debug_one_shared_library:
  extends: .build_template_linux
  variables:
      OS: "fedora"
      COMPILER: "gcc"
      MODE: "debug"
      LIB_NATURE: "shared"
      OS: "fedora"
      IS_ONLY_ONE_LIB: "True"

check_fedora_gcc_debug_one_shared_library:
  extends: .check_compilation_warning_template
  variables:
      OS: "fedora"
      COMPILER: "gcc"
      MODE: "debug"
      LIB_NATURE: "shared"
      OS: "fedora"
      IS_ONLY_ONE_LIB: "True"


build_fedora_gcc_release_several_static_libraries:
  extends: .build_template_linux
  variables:
      OS: "fedora"
      COMPILER: "gcc"
      MODE: "release"
      LIB_NATURE: "static"
      OS: "fedora"
      IS_ONLY_ONE_LIB: "False"

check_fedora_gcc_release_several_static_libraries:
  extends: .check_compilation_warning_template
  variables:
      OS: "fedora"
      COMPILER: "gcc"
      MODE: "release"
      LIB_NATURE: "static"
      OS: "fedora"
      IS_ONLY_ONE_LIB: "False"


build_fedora_clang_debug_several_shared_libraries:
  extends: .build_template_linux
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "debug"
      LIB_NATURE: "shared"
      OS: "fedora"
      IS_ONLY_ONE_LIB: "False"

check_fedora_clang_debug_several_shared_libraries:
  extends: .check_compilation_warning_template
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "debug"
      LIB_NATURE: "shared"
      OS: "fedora"
      IS_ONLY_ONE_LIB: "False"


build_fedora_clang_release_one_static_library:
  extends: .build_template_linux
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "release"
      LIB_NATURE: "static"
      OS: "fedora"
      IS_ONLY_ONE_LIB: "True"

check_fedora_clang_release_one_static_library:
  extends: .check_compilation_warning_template
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "release"
      LIB_NATURE: "static"
      OS: "fedora"
      IS_ONLY_ONE_LIB: "True"


